> ## Documentation Index
> Fetch the complete documentation index at: https://docs.judit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List responses

> This endpoint queries the responses of requests by parameters, in a paginated way.



## OpenAPI

````yaml openapi/requests.json GET /responses
openapi: 3.0.0
info:
  title: JUDIT - Requests API
  version: v1.62.0-rc-1
servers:
  - url: https://requests.production.judit.io
    description: Production server
security: []
paths:
  /responses:
    get:
      tags:
        - Respostas
      summary: Listar responses
      description: |-
        Endpoint para listar as respostas associadas à uma 

        requisição ou id de origem (que pode ser o id de um monitoramento). 

        Suporta filtros por request_id ou origin_id, ordenação e paginação. 

        O retorno inclui os dados das respostas, informações de paginação 

        e o status da requisição associada.
      parameters:
        - name: response_id
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: origin_id
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: request_id
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: response_type
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: classifications_code
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: classifications_name
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: subjects_code
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: subjects_name
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: code
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: instance
          in: query
          required: false
          schema:
            type: array
            items:
              type: number
        - name: tribunal_id
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: cached
          in: query
          required: false
          schema:
            type: boolean
        - name: tags
          in: query
          required: false
          schema:
            type: object
            additionalProperties:
              anyOf:
                - type: string
                - type: number
                - type: boolean
                - type: string
                  format: date-time
                - {}
        - name: request_created_at_gte
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: request_created_at_lte
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: created_at_gte
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: created_at_lte
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: order
          in: query
          required: false
          schema:
            type: object
            additionalProperties:
              type: string
              enum:
                - asc
                - desc
        - name: page
          in: query
          required: false
          schema:
            type: number
            minimum: 1
        - name: page_size
          in: query
          required: false
          schema:
            type: number
            minimum: 5
            maximum: 1000
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Responses.Response.Get'
        '401':
          description: Unauthorized - Missing or invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpUnauthorizedError'
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpForbiddenError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpInternalServerError'
      security:
        - jwtAuth: []
        - apiKeyAuth: []
components:
  schemas:
    Responses.Response.Get:
      type: object
      properties:
        request_status:
          type: string
        page:
          type: number
        page_count:
          type: number
        all_pages_count:
          type: number
        all_count:
          type: number
        page_data:
          type: array
          items:
            type: object
            properties:
              request_id:
                type: string
              response_id:
                type: string
              origin:
                type: string
                enum:
                  - api
                  - tracking
                  - dashboard
              origin_id:
                type: string
              user_id:
                type: string
              request_created_at:
                type: string
                format: date-time
              is_scrapper_info:
                type: boolean
              tags:
                type: object
                additionalProperties:
                  anyOf:
                    - type: string
                    - type: number
                    - type: boolean
                    - type: string
                      format: date-time
                    - {}
              force_overwrite:
                type: boolean
              cached:
                type: boolean
              created_at:
                type: string
                format: date-time
              updated_at:
                type: string
                format: date-time
              response_type:
                type: string
                enum:
                  - application_error
                  - application_warning
                  - application_info
                  - lawsuits
                  - lawsuit
                  - warrant
                  - execution
                  - entity
                  - summary
                  - sanction
              response_data:
                anyOf:
                  - type: object
                    properties:
                      code:
                        type: number
                      message:
                        type: string
                      details:
                        type: string
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: string
                      origin_id:
                        type: string
                      origin:
                        type: string
                        enum:
                          - response
                          - request
                    required:
                      - data
                      - origin
                  - type: object
                    properties:
                      sanction_id:
                        type: string
                      full_name:
                        type: string
                      nationality:
                        type: string
                      source:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              enum:
                                - ofac
                                - onu
                                - eu
                            reference_number:
                              type: string
                            remarks:
                              type: string
                            url:
                              type: string
                            since:
                              type: string
                              format: date-time
                            last_updated:
                              type: string
                              format: date-time
                          required:
                            - name
                            - url
                            - last_updated
                      tags:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                            - type: number
                            - type: boolean
                            - type: string
                              format: date-time
                            - {}
                    required:
                      - sanction_id
                      - full_name
                      - source
                  - type: object
                    properties:
                      code:
                        type: string
                      instance:
                        type: number
                      name:
                        type: string
                      free_justice:
                        type: boolean
                      secrecy_level:
                        type: number
                      courts:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            date:
                              type: string
                              format: date-time
                            name:
                              type: string
                      tribunal_acronym:
                        type: string
                      county:
                        type: string
                      state:
                        type: string
                      city:
                        type: string
                      judge:
                        type: string
                      distribution_date:
                        type: string
                        format: date-time
                      last_step:
                        type: object
                        properties:
                          lawsuit_cnj:
                            type: string
                          lawsuit_instance:
                            type: number
                          step_id:
                            type: string
                          step_date:
                            type: string
                            format: date-time
                          content:
                            type: string
                          step_type:
                            type: string
                          attachment_url:
                            type: string
                          attachment_extension:
                            type: string
                          private:
                            type: boolean
                          created_at:
                            type: string
                            format: date-time
                          updated_at:
                            type: string
                            format: date-time
                          tags:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                - type: number
                                - type: boolean
                                - type: string
                                  format: date-time
                                - {}
                          steps_count:
                            type: number
                        required:
                          - lawsuit_cnj
                          - lawsuit_instance
                          - step_id
                          - private
                      main_lawsuit:
                        type: object
                        properties:
                          code:
                            type: string
                          instance:
                            type: number
                          name:
                            type: string
                          classification:
                            type: object
                            properties:
                              code:
                                type: string
                              date:
                                type: string
                                format: date-time
                              name:
                                type: string
                          tags:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                - type: number
                                - type: boolean
                                - type: string
                                  format: date-time
                                - {}
                        required:
                          - code
                          - instance
                      tags:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                            - type: number
                            - type: boolean
                            - type: string
                              format: date-time
                            - {}
                      justice:
                        type: string
                      justice_description:
                        type: string
                      tribunal:
                        type: string
                      crawler:
                        type: object
                        properties:
                          source_name:
                            type: string
                          crawl_id:
                            type: string
                          updated_at:
                            type: string
                            format: date-time
                          weight:
                            type: number
                        required:
                          - source_name
                          - crawl_id
                          - weight
                      status:
                        type: string
                      phase:
                        type: string
                      phase_history:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            phase_date:
                              type: string
                              format: date-time
                            step_id:
                              type: string
                          required:
                            - name
                      sentence:
                        type: object
                        properties:
                          sentence_type:
                            type: string
                          sentence_date:
                            type: string
                            format: date-time
                          step_id:
                            type: string
                        required:
                          - sentence_type
                      appeal_judgement:
                        type: object
                        properties:
                          appeal_judgement_type:
                            type: string
                          appeal_judgement_date:
                            type: string
                            format: date-time
                          step_id:
                            type: string
                        required:
                          - appeal_judgement_type
                      custody:
                        type: object
                        properties:
                          custody_type:
                            type: string
                          custody_date:
                            type: string
                            format: date-time
                          step_id:
                            type: string
                        required:
                          - custody_type
                      appeal:
                        type: object
                        properties:
                          appeal_date:
                            type: string
                            format: date-time
                          step_id:
                            type: string
                      distribution:
                        type: object
                        properties:
                          distribution_type:
                            type: string
                          distribution_date:
                            type: string
                            format: date-time
                          step_id:
                            type: string
                        required:
                          - distribution_type
                      situation:
                        type: string
                      area:
                        type: string
                      metadata:
                        type: object
                        additionalProperties: {}
                      system:
                        type: string
                      tribunal_url:
                        type: string
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      pipelines:
                        default: []
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              enum:
                                - data_completeness
                                - normalizer
                                - homonymous_treatment
                            version:
                              type: number
                            updated_at:
                              type: string
                              format: date-time
                          required:
                            - name
                            - version
                      full_lawsuit_file:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - done
                              - pending
                          updated_at:
                            type: string
                            format: date-time
                        required:
                          - status
                      amount:
                        type: number
                      classifications:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            local_code:
                              type: string
                            date:
                              type: string
                              format: date-time
                            name:
                              type: string
                      subjects:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            local_code:
                              type: string
                            date:
                              type: string
                              format: date-time
                            name:
                              type: string
                      parties:
                        type: array
                        items:
                          type: object
                          properties:
                            entity_id:
                              type: string
                            entity_type:
                              type: string
                              enum:
                                - person
                                - company
                            name:
                              type: string
                            social_name:
                              type: string
                            main_document:
                              type: string
                            documents:
                              default: []
                              type: array
                              items:
                                type: object
                                properties:
                                  document:
                                    type: string
                                  document_type:
                                    type: string
                                    enum:
                                      - cpf
                                      - cnpj
                                      - ie
                                      - im
                                      - rg
                                      - oab
                                      - rji
                                      - other
                            addresses:
                              default: []
                              type: array
                              items:
                                type: object
                                properties:
                                  street:
                                    type: string
                                  number:
                                    type: string
                                  complement:
                                    type: string
                                  neighborhood:
                                    type: string
                                  city:
                                    type: string
                                  state:
                                    type: string
                                    enum:
                                      - AC
                                      - AL
                                      - AP
                                      - AM
                                      - BA
                                      - CE
                                      - DF
                                      - ES
                                      - GO
                                      - MA
                                      - MT
                                      - MS
                                      - MG
                                      - PA
                                      - PB
                                      - PR
                                      - PE
                                      - PI
                                      - RJ
                                      - RN
                                      - RS
                                      - RO
                                      - RR
                                      - SC
                                      - SP
                                      - SE
                                      - TO
                                      - XX
                                  zip_code:
                                    type: string
                                  ibge_code:
                                    type: number
                                  country:
                                    type: string
                            contacts:
                              default: []
                              type: array
                              items:
                                type: object
                                properties:
                                  contact_type:
                                    type: string
                                    enum:
                                      - email
                                      - phone
                                      - other
                                  description:
                                    type: string
                                required:
                                  - contact_type
                            aka_names:
                              default: []
                              type: array
                              items:
                                type: string
                            parents:
                              default: []
                              type: array
                              items:
                                type: object
                                properties:
                                  entity_id:
                                    type: string
                                  name:
                                    type: string
                                  kinship:
                                    type: string
                                    enum:
                                      - father
                                      - mother
                                      - brother
                                      - sister
                                      - son
                                      - daughter
                                      - grandparent
                                      - grandma
                                      - cousin
                                      - uncle
                                      - other
                            birth_date:
                              type: string
                              format: date-time
                            place_of_birth:
                              type: string
                            nationality:
                              type: string
                            regime:
                              type: string
                            gender:
                              type: string
                              enum:
                                - male
                                - female
                            ethnicity:
                              type: string
                            tags:
                              type: object
                              additionalProperties:
                                anyOf:
                                  - type: string
                                  - type: number
                                  - type: boolean
                                  - type: string
                                    format: date-time
                                  - {}
                            latest_searches:
                              default: []
                              type: array
                              items:
                                type: object
                                properties:
                                  search_type:
                                    type: string
                                    enum:
                                      - cpf
                                      - cnpj
                                      - oab
                                      - name
                                      - rji
                                      - lawsuit_cnj
                                      - lawsuit_attachment
                                      - execution_attachment
                                      - custom
                                  updated_at:
                                    type: string
                                    format: date-time
                                required:
                                  - search_type
                            legal_nature:
                              type: object
                              properties:
                                code:
                                  type: string
                                name:
                                  type: string
                                active:
                                  type: boolean
                              required:
                                - code
                                - name
                                - active
                            head_office:
                              type: boolean
                            branch_activities:
                              default: []
                              type: array
                              items:
                                type: object
                                properties:
                                  code:
                                    type: string
                                  name:
                                    type: string
                                  main_activity:
                                    type: boolean
                                  tree_history:
                                    type: string
                                  active:
                                    type: boolean
                                required:
                                  - code
                                  - name
                                  - main_activity
                                  - tree_history
                                  - active
                            position:
                              type: string
                            profession:
                              type: string
                            size:
                              type: string
                            is_public:
                              type: boolean
                            closing_date:
                              type: string
                              format: date-time
                            disabled_person:
                              type: boolean
                            deficiency:
                              type: string
                            revenue_service_updated_at:
                              type: string
                              format: date-time
                            revenue_service_active:
                              type: boolean
                            revenue_service_status:
                              type: string
                            share_capital:
                              type: number
                            special_status:
                              type: string
                            special_status_date:
                              type: string
                              format: date-time
                            responsible_qualification_id:
                              type: string
                            age_group:
                              type: string
                            pep:
                              default: []
                              type: array
                              items:
                                type: object
                                properties:
                                  function:
                                    type: string
                                  function_acronym:
                                    type: string
                                  organ_name:
                                    type: string
                                  start_date:
                                    type: string
                                    format: date-time
                                  end_date:
                                    type: string
                                    format: date-time
                                  grace_period_end:
                                    type: string
                                    format: date-time
                            entry_date:
                              type: string
                              format: date-time
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            partners: {}
                            associated_people: {}
                            person_type:
                              type: string
                            side:
                              type: string
                              enum:
                                - Passive
                                - Active
                                - Interested
                                - Unknown
                            lawyers:
                              type: array
                              items:
                                type: object
                                properties:
                                  entity_id:
                                    type: string
                                  entity_type:
                                    type: string
                                    enum:
                                      - person
                                      - company
                                  name:
                                    type: string
                                  social_name:
                                    type: string
                                  main_document:
                                    type: string
                                  documents:
                                    default: []
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        document:
                                          type: string
                                        document_type:
                                          type: string
                                          enum:
                                            - cpf
                                            - cnpj
                                            - ie
                                            - im
                                            - rg
                                            - oab
                                            - rji
                                            - other
                                  addresses:
                                    default: []
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        street:
                                          type: string
                                        number:
                                          type: string
                                        complement:
                                          type: string
                                        neighborhood:
                                          type: string
                                        city:
                                          type: string
                                        state:
                                          type: string
                                          enum:
                                            - AC
                                            - AL
                                            - AP
                                            - AM
                                            - BA
                                            - CE
                                            - DF
                                            - ES
                                            - GO
                                            - MA
                                            - MT
                                            - MS
                                            - MG
                                            - PA
                                            - PB
                                            - PR
                                            - PE
                                            - PI
                                            - RJ
                                            - RN
                                            - RS
                                            - RO
                                            - RR
                                            - SC
                                            - SP
                                            - SE
                                            - TO
                                            - XX
                                        zip_code:
                                          type: string
                                        ibge_code:
                                          type: number
                                        country:
                                          type: string
                                  contacts:
                                    default: []
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        contact_type:
                                          type: string
                                          enum:
                                            - email
                                            - phone
                                            - other
                                        description:
                                          type: string
                                      required:
                                        - contact_type
                                  aka_names:
                                    default: []
                                    type: array
                                    items:
                                      type: string
                                  parents:
                                    default: []
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        entity_id:
                                          type: string
                                        name:
                                          type: string
                                        kinship:
                                          type: string
                                          enum:
                                            - father
                                            - mother
                                            - brother
                                            - sister
                                            - son
                                            - daughter
                                            - grandparent
                                            - grandma
                                            - cousin
                                            - uncle
                                            - other
                                  birth_date:
                                    type: string
                                    format: date-time
                                  place_of_birth:
                                    type: string
                                  nationality:
                                    type: string
                                  regime:
                                    type: string
                                  gender:
                                    type: string
                                    enum:
                                      - male
                                      - female
                                  ethnicity:
                                    type: string
                                  tags:
                                    type: object
                                    additionalProperties:
                                      anyOf:
                                        - type: string
                                        - type: number
                                        - type: boolean
                                        - type: string
                                          format: date-time
                                        - {}
                                  latest_searches:
                                    default: []
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        search_type:
                                          type: string
                                          enum:
                                            - cpf
                                            - cnpj
                                            - oab
                                            - name
                                            - rji
                                            - lawsuit_cnj
                                            - lawsuit_attachment
                                            - execution_attachment
                                            - custom
                                        updated_at:
                                          type: string
                                          format: date-time
                                      required:
                                        - search_type
                                  legal_nature:
                                    type: object
                                    properties:
                                      code:
                                        type: string
                                      name:
                                        type: string
                                      active:
                                        type: boolean
                                    required:
                                      - code
                                      - name
                                      - active
                                  head_office:
                                    type: boolean
                                  branch_activities:
                                    default: []
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        code:
                                          type: string
                                        name:
                                          type: string
                                        main_activity:
                                          type: boolean
                                        tree_history:
                                          type: string
                                        active:
                                          type: boolean
                                      required:
                                        - code
                                        - name
                                        - main_activity
                                        - tree_history
                                        - active
                                  position:
                                    type: string
                                  profession:
                                    type: string
                                  size:
                                    type: string
                                  is_public:
                                    type: boolean
                                  closing_date:
                                    type: string
                                    format: date-time
                                  disabled_person:
                                    type: boolean
                                  deficiency:
                                    type: string
                                  revenue_service_updated_at:
                                    type: string
                                    format: date-time
                                  revenue_service_active:
                                    type: boolean
                                  revenue_service_status:
                                    type: string
                                  share_capital:
                                    type: number
                                  special_status:
                                    type: string
                                  special_status_date:
                                    type: string
                                    format: date-time
                                  responsible_qualification_id:
                                    type: string
                                  age_group:
                                    type: string
                                  pep:
                                    default: []
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        function:
                                          type: string
                                        function_acronym:
                                          type: string
                                        organ_name:
                                          type: string
                                        start_date:
                                          type: string
                                          format: date-time
                                        end_date:
                                          type: string
                                          format: date-time
                                        grace_period_end:
                                          type: string
                                          format: date-time
                                  entry_date:
                                    type: string
                                    format: date-time
                                  created_at:
                                    type: string
                                    format: date-time
                                  updated_at:
                                    type: string
                                    format: date-time
                                  partners: {}
                                  associated_people: {}
                            was_inferred:
                              type: boolean
                          required:
                            - side
                      attachments:
                        type: array
                        items:
                          type: object
                          properties:
                            attachment_id:
                              type: string
                            attachment_type:
                              type: string
                            attachment_name:
                              type: string
                            step_id:
                              type: string
                            content:
                              type: string
                            private:
                              type: boolean
                            extension:
                              type: string
                            tags:
                              type: object
                              additionalProperties:
                                anyOf:
                                  - type: string
                                  - type: number
                                  - type: boolean
                                  - type: string
                                    format: date-time
                                  - {}
                            status:
                              type: string
                              enum:
                                - done
                                - pending
                            attachment_date:
                              type: string
                              format: date-time
                            corrupted:
                              type: boolean
                            user_data:
                              type: object
                              additionalProperties:
                                type: string
                          required:
                            - attachment_id
                            - status
                      related_lawsuits:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            instance:
                              type: number
                            name:
                              type: string
                            classification:
                              type: object
                              properties:
                                code:
                                  type: string
                                date:
                                  type: string
                                  format: date-time
                                name:
                                  type: string
                            tags:
                              type: object
                              additionalProperties:
                                anyOf:
                                  - type: string
                                  - type: number
                                  - type: boolean
                                  - type: string
                                    format: date-time
                                  - {}
                          required:
                            - code
                            - instance
                      steps:
                        type: array
                        items:
                          type: object
                          properties:
                            lawsuit_cnj:
                              type: string
                            lawsuit_instance:
                              type: number
                            step_id:
                              type: string
                            step_date:
                              type: string
                              format: date-time
                            content:
                              type: string
                            step_type:
                              type: string
                            attachment_url:
                              type: string
                            attachment_extension:
                              type: string
                            private:
                              type: boolean
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            tags:
                              type: object
                              additionalProperties:
                                anyOf:
                                  - type: string
                                  - type: number
                                  - type: boolean
                                  - type: string
                                    format: date-time
                                  - {}
                          required:
                            - lawsuit_cnj
                            - lawsuit_instance
                            - step_id
                            - private
                    required:
                      - code
                      - instance
                      - courts
                      - justice
                      - tribunal
                      - crawler
                      - classifications
                      - subjects
                      - parties
                      - attachments
                      - related_lawsuits
                      - steps
                  - type: object
                    properties:
                      warrant_id:
                        type: string
                      entity:
                        type: object
                        properties:
                          entity_id:
                            type: string
                          entity_type:
                            type: string
                            enum:
                              - person
                              - company
                          name:
                            type: string
                          social_name:
                            type: string
                          main_document:
                            type: string
                          documents:
                            default: []
                            type: array
                            items:
                              type: object
                              properties:
                                document:
                                  type: string
                                document_type:
                                  type: string
                                  enum:
                                    - cpf
                                    - cnpj
                                    - ie
                                    - im
                                    - rg
                                    - oab
                                    - rji
                                    - other
                          addresses:
                            default: []
                            type: array
                            items:
                              type: object
                              properties:
                                street:
                                  type: string
                                number:
                                  type: string
                                complement:
                                  type: string
                                neighborhood:
                                  type: string
                                city:
                                  type: string
                                state:
                                  type: string
                                  enum:
                                    - AC
                                    - AL
                                    - AP
                                    - AM
                                    - BA
                                    - CE
                                    - DF
                                    - ES
                                    - GO
                                    - MA
                                    - MT
                                    - MS
                                    - MG
                                    - PA
                                    - PB
                                    - PR
                                    - PE
                                    - PI
                                    - RJ
                                    - RN
                                    - RS
                                    - RO
                                    - RR
                                    - SC
                                    - SP
                                    - SE
                                    - TO
                                    - XX
                                zip_code:
                                  type: string
                                ibge_code:
                                  type: number
                                country:
                                  type: string
                          contacts:
                            default: []
                            type: array
                            items:
                              type: object
                              properties:
                                contact_type:
                                  type: string
                                  enum:
                                    - email
                                    - phone
                                    - other
                                description:
                                  type: string
                              required:
                                - contact_type
                          aka_names:
                            default: []
                            type: array
                            items:
                              type: string
                          parents:
                            default: []
                            type: array
                            items:
                              type: object
                              properties:
                                entity_id:
                                  type: string
                                name:
                                  type: string
                                kinship:
                                  type: string
                                  enum:
                                    - father
                                    - mother
                                    - brother
                                    - sister
                                    - son
                                    - daughter
                                    - grandparent
                                    - grandma
                                    - cousin
                                    - uncle
                                    - other
                          birth_date:
                            type: string
                            format: date-time
                          place_of_birth:
                            type: string
                          nationality:
                            type: string
                          regime:
                            type: string
                          gender:
                            type: string
                            enum:
                              - male
                              - female
                          ethnicity:
                            type: string
                          tags:
                            type: object
                            additionalProperties:
                              anyOf:
                                - type: string
                                - type: number
                                - type: boolean
                                - type: string
                                  format: date-time
                                - {}
                          latest_searches:
                            default: []
                            type: array
                            items:
                              type: object
                              properties:
                                search_type:
                                  type: string
                                  enum:
                                    - cpf
                                    - cnpj
                                    - oab
                                    - name
                                    - rji
                                    - lawsuit_cnj
                                    - lawsuit_attachment
                                    - execution_attachment
                                    - custom
                                updated_at:
                                  type: string
                                  format: date-time
                              required:
                                - search_type
                          legal_nature:
                            type: object
                            properties:
                              code:
                                type: string
                              name:
                                type: string
                              active:
                                type: boolean
                            required:
                              - code
                              - name
                              - active
                          head_office:
                            type: boolean
                          branch_activities:
                            default: []
                            type: array
                            items:
                              type: object
                              properties:
                                code:
                                  type: string
                                name:
                                  type: string
                                main_activity:
                                  type: boolean
                                tree_history:
                                  type: string
                                active:
                                  type: boolean
                              required:
                                - code
                                - name
                                - main_activity
                                - tree_history
                                - active
                          position:
                            type: string
                          profession:
                            type: string
                          size:
                            type: string
                          is_public:
                            type: boolean
                          closing_date:
                            type: string
                            format: date-time
                          disabled_person:
                            type: boolean
                          deficiency:
                            type: string
                          revenue_service_updated_at:
                            type: string
                            format: date-time
                          revenue_service_active:
                            type: boolean
                          revenue_service_status:
                            type: string
                          share_capital:
                            type: number
                          special_status:
                            type: string
                          special_status_date:
                            type: string
                            format: date-time
                          responsible_qualification_id:
                            type: string
                          age_group:
                            type: string
                          pep:
                            default: []
                            type: array
                            items:
                              type: object
                              properties:
                                function:
                                  type: string
                                function_acronym:
                                  type: string
                                organ_name:
                                  type: string
                                start_date:
                                  type: string
                                  format: date-time
                                end_date:
                                  type: string
                                  format: date-time
                                grace_period_end:
                                  type: string
                                  format: date-time
                          entry_date:
                            type: string
                            format: date-time
                          created_at:
                            type: string
                            format: date-time
                          updated_at:
                            type: string
                            format: date-time
                          partners: {}
                          associated_people: {}
                        required:
                          - entity_type
                          - name
                          - partners
                      tribunal_id:
                        type: string
                      individual_id:
                        type: string
                      warrant_type:
                        type: string
                        enum:
                          - warrant_of_arrest
                          - cancellation_warrant
                          - imprisonment_guide
                          - internment_guide
                          - release_warrant
                          - disinternment_order
                          - certificate_completion_arrest_warrant
                          - certificate_extinction_punishment_death
                          - certificate_completion_internment_warrant
                          - warrant_of_internment
                          - imprisonment_guide_execution_collection
                          - certificate_guide_archiving
                          - internment_guide_execution_collection
                          - certificate_change_unit_prison_regime
                          - definitive_execution_guide
                          - warrant_electronic_monitoring_precautionary
                          - certificate_completion_electronic_monitoring_warrant
                          - certificate_completion_release_warrant
                          - certificate_completion_disinternment_order
                          - revocation_electronic_monitoring_warrant
                          - warrant_monitoring_various_measures_prison
                          - >-
                            revocation_warrant_monitoring_various_measures_prison
                          - outpatient_treatment_execution_guide
                          - warrant_electronic_monitoring_execution
                          - warrant_monitoring_various_measures_prison_execution
                          - warrant_of_arrest_recapture
                          - warrant_of_internment_recapture
                          - certificate_completion_arrest_warrant_recapture
                          - certificate_completion_internment_warrant_recapture
                      arrest_type:
                        type: string
                        enum:
                          - provisional
                          - definitive
                      law_type:
                        type: object
                        properties:
                          description:
                            type: string
                          number:
                            type: string
                      number:
                        type: string
                      previous_number:
                        type: string
                      issue_date:
                        type: string
                        format: date-time
                      create_date:
                        type: string
                        format: date-time
                      expiration_date:
                        type: string
                        format: date-time
                      status:
                        type: string
                      code:
                        type: string
                      tribunal:
                        type: string
                      justice:
                        type: string
                      tribunal_acronym:
                        type: string
                      court:
                        type: string
                      judge:
                        type: string
                      judgementSummary:
                        type: string
                      reason:
                        type: string
                      post_warnings:
                        type: string
                      document_content:
                        type: string
                      duration:
                        type: string
                      duration_years:
                        type: number
                      duration_months:
                        type: number
                      duration_days:
                        type: number
                      observations:
                        type: string
                      regime:
                        type: string
                      recapture:
                        type: boolean
                      certificate_file:
                        type: string
                      attachments:
                        type: array
                        items:
                          type: object
                          properties:
                            attachment_id:
                              type: string
                            attachment_type:
                              type: string
                            attachment_name:
                              type: string
                            step_id:
                              type: string
                            content:
                              type: string
                            private:
                              type: boolean
                            extension:
                              type: string
                            tags:
                              type: object
                              additionalProperties:
                                anyOf:
                                  - type: string
                                  - type: number
                                  - type: boolean
                                  - type: string
                                    format: date-time
                                  - {}
                            status:
                              type: string
                              enum:
                                - done
                                - pending
                            attachment_date:
                              type: string
                              format: date-time
                            corrupted:
                              type: boolean
                            user_data:
                              type: object
                              additionalProperties:
                                type: string
                          required:
                            - attachment_id
                            - status
                      crawler:
                        type: object
                        properties:
                          source_name:
                            type: string
                          crawl_id:
                            type: string
                          updated_at:
                            type: string
                            format: date-time
                          weight:
                            type: number
                        required:
                          - source_name
                          - crawl_id
                          - weight
                      tags:
                        type: object
                        additionalProperties:
                          anyOf:
                            - type: string
                            - type: number
                            - type: boolean
                            - type: string
                              format: date-time
                            - {}
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                    required:
                      - warrant_id
                      - tribunal_id
                      - individual_id
                      - warrant_type
                      - arrest_type
                      - number
                      - status
                      - code
                      - tribunal
                      - justice
                      - tribunal_acronym
            required:
              - request_id
              - response_id
              - origin
              - origin_id
              - user_id
              - response_type
              - response_data
      required:
        - request_status
        - page
        - page_count
        - all_pages_count
        - all_count
        - page_data
    HttpUnauthorizedError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpUnauthorizedError
            message:
              type: string
              example: UNAUTHORIZED
            stack:
              type: string
            data:
              type: string
              example: User must be authenticated
    HttpForbiddenError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpForbiddenError
            message:
              type: string
              example: FORBIDDEN
            stack:
              type: string
            data:
              type: string
              example: Authenticated user is not authorized
    HttpInternalServerError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpInternalServerError
            message:
              type: string
              example: INTERNAL_SERVER_ERROR
            stack:
              type: string
            data:
              type: object
              example:
                message: Database connection failed
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Bearer token for authentication
    apiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      description: API key for authentication

````